## rustc 1.87.0+dfsg1

=== tests/run-make/x86_64-fortanix-unknown-sgx-lvi/enclave/libcmake_foo/CMakeLists.txt ===
enable_language(C CXX ASM)

set(C_SOURCES
    src/foo.c
    )

set_source_files_properties(${C_SOURCES}
                            PROPERTIES
                            LANGUAGE C)

set(CXX_SOURCES
    src/foo_cxx.cpp
    )

set_source_files_properties(${CXX_SOURCES}
                            PROPERTIES
                            LANGUAGE CXX)

set(ASM_SOURCES
    src/foo_asm.s
    )

set_source_files_properties(${ASM_SOURCES}
                            PROPERTIES
                            LANGUAGE ASM)

set(SOURCES
    ${C_SOURCES}
    ${CXX_SOURCES}
    ${ASM_SOURCES})
        
add_library(cmake_foo STATIC
    ${SOURCES})

=== debian/changelog ===
rustc (1.87.0+dfsg1-1) unstable; urgency=medium

  * revert changes requiring LLVM >=20 (fix loongarch64/mips64el)
  * fix more broken tests

 -- Fabian Grünbichler <debian@fabian.gruenbichler.email>  Sat, 20 Sep 2025 16:00:58 +0200

rustc (1.87.0+dfsg1-1~exp1) experimental; urgency=medium

  * New upstream release
  * cherry-pick fix for PROFILER_RT linking
  * fix some broken tests
  * config: update to 1.87.0 change-id
  * d/control: correctly pull in liblzma-dev

 -- Fabian Grünbichler <debian@fabian.gruenbichler.email>  Tue, 09 Sep 2025 21:23:03 +0200

=== debian/control ===
Source: rustc
Section: devel
Priority: optional
Maintainer: Debian Rust Maintainers <pkg-rust-maintainers@alioth-lists.debian.net>
Uploaders:
 Ximin Luo <infinity0@debian.org>,
 Sylvestre Ledru <sylvestre@debian.org>,
 Fabian Grünbichler <debian@fabian.gruenbichler.email>
Rules-Requires-Root: no
# :native annotations are to support cross-compiling, see README.Debian
Build-Depends:
 debhelper (>= 9),
 debhelper-compat (= 13),
 dpkg-dev (>= 1.17.14),
 python3:native,
 cargo:native (>= 1.86.0+dfsg)      <!pkg.rustc.dlstage0>,
 rustc:native (>= 1.86.0+dfsg) <!pkg.rustc.dlstage0>,
 rustc:native (<= 1.87.0++)    <!pkg.rustc.dlstage0>,
 llvm-19-dev:native,
 llvm-19-tools:native,
 gcc-mingw-w64-x86-64-posix:native [amd64] <pkg.rustc.windows>,
 gcc-mingw-w64-i686-posix:native [i386] <pkg.rustc.windows>,
 libllvm19 (>= 1:19.0.0),
 libclang-rt-19-dev:native,
 libclang-rt-19-dev,
 cmake (>= 3.0),
# needed by some vendor crates
 pkgconf:native,
 pkgconf,
 liblzma-dev,
# this is sometimes needed by rustc_llvm
 zlib1g-dev:native,
 zlib1g-dev,
# used by cargo
 bash-completion,
 libcurl4-openssl-dev | libcurl4-gnutls-dev,
 libssh2-1-dev,
 libssl-dev,
 libsqlite3-dev,
 libgit2-dev (>= 1.9),
 libgit2-dev (<< 1.10~~),
 libhttp-parser-dev,
 libonig-dev,
# test dependencies:
 binutils (>= 2.26) <!nocheck> | binutils-2.26 <!nocheck>,
# temporarily disabled cause of #1066794 / t64 transition
 git <!nocheck>,
 procps <!nocheck>,
# below are optional tools even for 'make check'
 gdb (>= 7.12) <!nocheck>,
# Extra build-deps needed for x.py to download stuff in pkg.rustc.dlstage0.
 curl <pkg.rustc.dlstage0>,
 ca-certificates <pkg.rustc.dlstage0>,
Build-Depends-Indep:
 wasi-libc (>= 0.0~git20241209.574b88d~~) <!nowasm>,
 wasi-libc (<= 0.0~git20241209.574b88d++) <!nowasm>,
 clang-19:native,
# see #1057780, gdb now Conflicts gdb-minimal
#Build-Conflicts: gdb-minimal <!nocheck>
Standards-Version: 4.7.0
Homepage: http://www.rust-lang.org/
Vcs-Git: https://salsa.debian.org/rust-team/rust.git
Vcs-Browser: https://salsa.debian.org/rust-team/rust

Package: rustc
Architecture: any
Multi-Arch: allowed
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends},
 libstd-rust-dev (= ${binary:Version}),
 gcc, libc-dev, binutils (>= 2.26)
Recommends:
 cargo (= ${binary:Version}),
# llvm is needed for llvm-dwp for -C split-debuginfo=packed
 rust-llvm,
Replaces: libstd-rust-dev (<< 1.25.0+dfsg1-2~~)
Breaks: libstd-rust-dev (<< 1.25.0+dfsg1-2~~),
Conflicts: rustup
Description: Rust systems programming language
 Rust is a curly-brace, block-structured expression language.  It
 visually resembles the C language family, but differs significantly
 in syntactic and semantic details.  Its design is oriented toward
 concerns of "programming in the large", that is, of creating and
 maintaining boundaries - both abstract and operational - that
 preserve large-system integrity, availability and concurrency.
 .
 It supports a mixture of imperative procedural, concurrent actor,
 object-oriented and pure functional styles.  Rust also supports
 generic programming and meta-programming, in both static and dynamic
 styles.

Package: libstd-rust-1.87
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: rustup
Description: Rust standard libraries
 Rust is a curly-brace, block-structured expression language.  It
 visually resembles the C language family, but differs significantly
 in syntactic and semantic details.  Its design is oriented toward
 concerns of "programming in the large", that is, of creating and
 maintaining boundaries - both abstract and operational - that
 preserve large-system integrity, availability and concurrency.
 .
 It supports a mixture of imperative procedural, concurrent actor,
 object-oriented and pure functional styles.  Rust also supports
 generic programming and meta-programming, in both static and dynamic
 styles.
 .
 This package contains the standard Rust libraries, built as dylibs,
 needed to run dynamically-linked Rust programs (-C prefer-dynamic).

Package: libstd-rust-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends},
 libstd-rust-1.87 (= ${binary:Version}),
Conflicts: rustup
Description: Rust standard libraries - development files
 Rust is a curly-brace, block-structured expression language.  It
 visually resembles the C language family, but differs significantly
 in syntactic and semantic details.  Its design is oriented toward
 concerns of "programming in the large", that is, of creating and
 maintaining boundaries - both abstract and operational - that
 preserve large-system integrity, availability and concurrency.
 .
 It supports a mixture of imperative procedural, concurrent actor,
 object-oriented and pure functional styles.  Rust also supports
 generic programming and meta-programming, in both static and dynamic
 styles.
 .
 This package contains development files for the standard Rust libraries,
 needed to compile Rust programs. It may also be installed on a system
 of another host architecture, for cross-compiling to this architecture.

Package: libstd-rust-dev-windows
Section: libdevel
Architecture: amd64 i386
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends:
 gcc-mingw-w64-x86-64-posix [amd64],
 gcc-mingw-w64-i686-posix [i386],
Build-Profiles: <pkg.rustc.windows>
Description: Rust standard libraries - development files
 Rust is a curly-brace, block-structured expression language.  It
 visually resembles the C language family, but differs significantly
 in syntactic and semantic details.  Its design is oriented toward
 concerns of "programming in the large", that is, of creating and
 maintaining boundaries - both abstract and operational - that
 preserve large-system integrity, availability and concurrency.
 .
 It supports a mixture of imperative procedural, concurrent actor,
 object-oriented and pure functional styles.  Rust also supports
 generic programming and meta-programming, in both static and dynamic
 styles.
 .
 This package contains the standard Rust libraries including development files,
 needed to cross-compile Rust programs to the *-pc-windows-gnu target
 corresponding to the architecture of this package.

Package: libstd-rust-dev-wasm32
Section: libdevel
Architecture: all
Multi-Arch: foreign
Depends: ${shlibs:Depends}, ${misc:Depends}
# Embeds wasi-libc so doesn't need to depend on it
# None of its licenses require source redistrib, so no need for Built-Using
Recommends:
 lld-19, clang-19,
Suggests:
# nodejs contains wasi-node for running the program
 nodejs (>= 12.16),
Build-Profiles: <!nowasm>
Description: Rust standard libraries - development files
 Rust is a curly-brace, block-structured expression language.  It
 visually resembles the C language family, but differs significantly
 in syntactic and semantic details.  Its design is oriented toward
 concerns of "programming in the large", that is, of creating and
 maintaining boundaries - both abstract and operational - that
 preserve large-system integrity, availability and concurrency.
 .
 It supports a mixture of imperative procedural, concurrent actor,
 object-oriented and pure functional styles.  Rust also supports
 generic programming and meta-programming, in both static and dynamic
 styles.
 .
 This package contains the standard Rust libraries including development files,
 needed to cross-compile Rust programs to the wasm32-unknown-unknown and
 wasm32-wasip1/wasm32-wasip2 targets.

Package: rust-gdb
Architecture: all
Depends: gdb, ${misc:Depends}
Suggests: gdb-doc
Replaces: rustc (<< 1.1.0+dfsg1-1)
Description: Rust debugger (gdb)
 Rust is a curly-brace, block-structured expression language.  It
 visually resembles the C language family, but differs significantly
 in syntactic and semantic details.  Its design is oriented toward
 concerns of "programming in the large", that is, of creating and
 maintaining boundaries - both abstract and operational - that
 preserve large-system integrity, availability and concurrency.
 .
 It supports a mixture of imperative procedural, concurrent actor,
 object-oriented and pure functional styles.  Rust also supports
 generic programming and meta-programming, in both static and dynamic
 styles.
 .
 This package contains pretty printers and a wrapper script for
 invoking gdb on rust binaries.

Package: rust-lldb
Architecture: all
# When updating, also update rust-lldb.links
Depends: lldb-19, ${misc:Depends}, python3-lldb-19
Replaces: rustc (<< 1.1.0+dfsg1-1)
Description: Rust debugger (lldb)
 Rust is a curly-brace, block-structured expression language.  It
 visually resembles the C language family, but differs significantly
 in syntactic and semantic details.  Its design is oriented toward
 concerns of "programming in the large", that is, of creating and
 maintaining boundaries - both abstract and operational - that
 preserve large-system integrity, availability and concurrency.
 .
 It supports a mixture of imperative procedural, concurrent actor,
 object-oriented and pure functional styles.  Rust also supports
 generic programming and meta-programming, in both static and dynamic
 styles.
 .
 This package contains pretty printers and a wrapper script for
 invoking lldb on rust binaries.

Package: rust-llvm
Architecture: any
Breaks:
 rustc (<< 1.71.1+dfsg1-1~exp1),
 rustc-web (<< 1.71.1+dfsg1-1~exp1),
 rustc-mozilla (<< 1.71.1+dfsg1-1~exp1),
Replaces:
 rustc (<< 1.71.1+dfsg1-1~exp1),
 rustc-web (<< 1.71.1+dfsg1-1~exp1),
 rustc-mozilla (<< 1.71.1+dfsg1-1~exp1),
Depends: ${shlibs:Depends}, ${misc:Depends},
# lld and clang are needed for wasm compilation
 lld-19, clang-19,
# llvm is needed for llvm-dwp for split-debuginfo=packed
 llvm-19
Description: Rust LLVM integration
 Rust is a curly-brace, block-structured expression language.  It
 visually resembles the C language family, but differs significantly
 in syntactic and semantic details.  Its design is oriented toward
 concerns of "programming in the large", that is, of creating and
 maintaining boundaries - both abstract and operational - that
 preserve large-system integrity, availability and concurrency.
 .
 It supports a mixture of imperative procedural, concurrent actor,
 object-oriented and pure functional styles.  Rust also supports
 generic programming and meta-programming, in both static and dynamic
 styles.
 .
 This package contains symlinks for integration with LLVM tools such as lld and
 grcov, and the wasm-component-ld helper binary for the wasm-wasip2 target.

Package: rust-doc
Section: doc
Architecture: all
Build-Profiles: <!nodoc>
Depends: ${misc:Depends},
 libjs-jquery, libjs-highlight.js, libjs-mathjax,
 fonts-open-sans, fonts-font-awesome
Recommends: cargo-doc
Description: Rust systems programming language - Documentation
 Rust is a curly-brace, block-structured expression language.  It
 visually resembles the C language family, but differs significantly
 in syntactic and semantic details.  Its design is oriented toward
 concerns of "programming in the large", that is, of creating and
 maintaining boundaries - both abstract and operational - that
 preserve large-system integrity, availability and concurrency.
 .
 It supports a mixture of imperative procedural, concurrent actor,
 object-oriented and pure functional styles.  Rust also supports
 generic programming and meta-programming, in both static and dynamic
 styles.
 .
 This package contains the Rust tutorial, language reference and
 standard library documentation.

Package: rust-src
Architecture: all
Depends: ${misc:Depends}
Conflicts: rustup
Description: Rust systems programming language - source code
 Rust is a curly-brace, block-structured expression language.  It
 visually resembles the C language family, but differs significantly
 in syntactic and semantic details.  Its design is oriented toward
 concerns of "programming in the large", that is, of creating and

## rustc 1.88.0%2Bdfsg1

=== debian/changelog ===
rustc (1.88.0+dfsg1-1) unstable; urgency=medium

  * cherry-pick libc fix for hurd
  * loongarch64: fix typo in patch disabling f16

 -- Fabian Grünbichler <debian@fabian.gruenbichler.email>  Tue, 30 Sep 2025 08:45:39 +0200

rustc (1.88.0+dfsg1-1~exp1) experimental; urgency=medium

  * New upstream release
  * fix or disable more broken tests

 -- Fabian Grünbichler <debian@fabian.gruenbichler.email>  Thu, 25 Sep 2025 10:36:50 +0200

## rustc 1.88.0+dfsg1

=== vendor/console-0.15.11/Makefile ===
all: test

check:
	@cargo check --lib --all-features

build:
	@cargo build --all-features

doc:
	@cargo doc --all-features

test:
	@echo "CARGO TESTS"
	@cargo test
	@cargo test --all-features
	@cargo test --no-default-features

check-minver:
	@echo "MINVER CHECK"
	@cargo minimal-versions check --lib
	@cargo minimal-versions check --lib --all-features
	@cargo minimal-versions check --lib --no-default-features

format:
	@rustup component add rustfmt 2> /dev/null
	@cargo fmt --all

format-check:
	@rustup component add rustfmt 2> /dev/null
	@cargo fmt --all -- --check

lint:
	@rustup component add clippy 2> /dev/null
	@cargo clippy --examples --tests --all-features -- --deny warnings

.PHONY: all doc build check test format format-check lint check-minver msrv-lock

=== debian/changelog ===
rustc (1.88.0+dfsg1-2) unstable; urgency=medium

  * add lld-19 to Build-Depends-Indep
  * fix cargo-doc references in rust-doc

 -- Fabian Grünbichler <debian@fabian.gruenbichler.email>  Fri, 03 Oct 2025 10:19:57 +0200

=== debian/control ===
--- 
+++ 
@@ -13,9 +13,9 @@
  debhelper-compat (= 13),
  dpkg-dev (>= 1.17.14),
  python3:native,
- cargo:native (>= 1.86.0+dfsg)      <!pkg.rustc.dlstage0>,
- rustc:native (>= 1.86.0+dfsg) <!pkg.rustc.dlstage0>,
- rustc:native (<= 1.87.0++)    <!pkg.rustc.dlstage0>,
+ cargo:native (>= 1.87.0+dfsg)      <!pkg.rustc.dlstage0>,
+ rustc:native (>= 1.87.0+dfsg) <!pkg.rustc.dlstage0>,
+ rustc:native (<= 1.88.0++)    <!pkg.rustc.dlstage0>,
  llvm-19-dev:native,
  llvm-19-tools:native,
  gcc-mingw-w64-x86-64-posix:native [amd64] <pkg.rustc.windows>,
@@ -55,6 +55,7 @@
  wasi-libc (>= 0.0~git20241209.574b88d~~) <!nowasm>,
  wasi-libc (<= 0.0~git20241209.574b88d++) <!nowasm>,
  clang-19:native,
+ lld-19:native,
 # see #1057780, gdb now Conflicts gdb-minimal
 #Build-Conflicts: gdb-minimal <!nocheck>
 Standards-Version: 4.7.0
@@ -89,7 +90,7 @@
  generic programming and meta-programming, in both static and dynamic
  styles.
 
-Package: libstd-rust-1.87
+Package: libstd-rust-1.88
 Section: libs
 Architecture: any
 Multi-Arch: same
@@ -117,7 +118,7 @@
 Architecture: any
 Multi-Arch: same
 Depends: ${shlibs:Depends}, ${misc:Depends},
- libstd-rust-1.87 (= ${binary:Version}),
+ libstd-rust-1.88 (= ${binary:Version}),
 Conflicts: rustup
 Description: Rust standard libraries - development files
  Rust is a curly-brace, block-structured expression language.  It

## rustc 1.89.0%2Bdfsg1

=== src/tools/rustc-perf/Makefile ===
.PHONY: test start-postgres

# Helper to spin up postgres
start-postgres:
	docker compose up -d pg_test

# Helper to stop postgres & destroy the volume (ensures a clean rebuild on `start`)
stop-postgres:
	docker compose down -v

# Run the tests with the database purring along in the background
test: start-postgres
	TEST_DB_URL="postgres://postgres:testpass@localhost/postgres" cargo test

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

include /usr/share/dpkg/pkg-info.mk
include /usr/share/dpkg/vendor.mk
include /usr/share/dpkg/architecture.mk
SED_VERSION_SHORT := sed -re 's/([^.]+)\.([^.]+)\..*/\1.\2/'
RUST_VERSION := $(shell echo '$(DEB_VERSION_UPSTREAM)' | $(SED_VERSION_SHORT))
RUST_LONG_VERSION := $(shell echo '$(DEB_VERSION_UPSTREAM)' | sed -re 's/([^+]+).*/\1/')
LIBSTD_PKG := libstd-rust-$(RUST_VERSION)
# Sed expression that matches the "rustc" we have in our Build-Depends field
SED_RUSTC_BUILDDEP := sed -ne "/^Build-Depends:/,/^[^[:space:]\#]/{/^ *rustc:native .*,/p}" debian/control
# Version of /usr/bin/rustc
LOCAL_RUST_VERSION := $(shell rustc --version --verbose | sed -ne 's/^release: //p')

include /usr/share/dpkg/buildflags.mk
# needed for cross-compilation to avoid passing host CFLAGS to the BUILD
# compiler
export TARGET_CFLAGS = $(CFLAGS)
export TARGET_CXXFLAGS = $(CXXFLAGS)
export TARGET_CPPFLAGS = $(CPPFLAGS)
export TARGET_LDFLAGS = $(LDFLAGS)
unexport CFLAGS CXXFLAGS CPPFLAGS LDFLAGS
export CARGO_HOME = $(CURDIR)/debian/cargo

# Defines DEB_*_RUST_TYPE triples
include debian/architecture.mk
# for dh_install substitution variable
export DEB_HOST_RUST_TYPE

# for dh_install substitution variable
export RUST_LONG_VERSION

DEB_DESTDIR := $(CURDIR)/debian/tmp

# Use system LLVM (comment out to use vendored LLVM)
LLVM_VERSION = 19
OLD_LLVM_VERSION = 18
# Cargo-specific flags
export LIBSSH2_SYS_USE_PKG_CONFIG=1
# Make it easier to test against a custom LLVM
ifneq (,$(LLVM_DESTDIR))
LLVM_LIBRARY_PATH := $(LLVM_DESTDIR)/usr/lib/$(DEB_HOST_MULTIARCH):$(LLVM_DESTDIR)/usr/lib
LD_LIBRARY_PATH := $(if $(LD_LIBRARY_PATH),$(LD_LIBRARY_PATH):$(LLVM_LIBRARY_PATH),$(LLVM_LIBRARY_PATH))
export LD_LIBRARY_PATH
endif

# Required for profiler builtin
CLANG_RT_ARCH := $(DEB_TARGET_GNU_CPU)
ifeq (i386,$(DEB_TARGET_ARCH))
CLANG_RT_ARCH = i386
endif
ifeq (armhf,$(DEB_TARGET_ARCH))
CLANG_RT_ARCH = armhf
endif

ifneq (,$(filter $(DEB_TARGET_ARCH),sparc64 mips64el hurd-i386 hurd-amd64))
# sparc64: see https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=1061125
# mips64el: has profiler, but buggy atm (32-bit overflow in some counter?)
CLANG_RT_ARCH =
PROFILER = "false"
PROFILER_PATH = ""
else
PROFILER = "true"
PROFILER_PATH = profiler = \"/usr/lib/llvm-$(LLVM_VERSION)/lib/clang/$(LLVM_VERSION)/lib/linux/libclang_rt.profile-$(CLANG_RT_ARCH).a\"
endif

ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
NJOBS := -j $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
endif
RUSTBUILD_COMMON = RUST_BACKTRACE=1 python3 src/bootstrap/bootstrap.py
RUSTBUILD = $(RUSTBUILD_COMMON) $(NJOBS)
# force reproducibility
RUSTBUILD_DOCS = $(RUSTBUILD_COMMON) -j1
RUSTBUILD_FLAGS = --stage 2 --config debian/config.toml --on-fail env
# rust-tidy depends on lots of modules that we strip out of the build.
# it also tries to access the network for some reason. so just disable it.
RUSTBUILD_TEST = $(RUSTBUILD) test --no-fail-fast --exclude src/tools/tidy
# To run a specific test, run something like:
#   $ debian/rules override_dh_auto_test-arch \
#     RUSTBUILD_TEST_FLAGS="src/test/run-make --test-args extern-fn-struct"
# See src/bootstrap/README.md for more options.
RUSTBUILD_TEST_FLAGS =

# https://github.com/rust-lang/rust/issues/89744
# TODO: remove when we update cargo to 1.55 / 0.56
# upstream bug still exists and is under investigation, but is hidden by newer cargo
export CARGO_PROFILE_RELEASE_BUILD_OVERRIDE_OPT_LEVEL=0

update-version:
	oldver=$(shell $(SED_RUSTC_BUILDDEP) | sed -ne 's/.*(<= \(.*\)).*/\1/gp' | $(SED_VERSION_SHORT)); \
	newver=$(RUST_VERSION); \
	debian/update-version.sh $$oldver $$newver $(RUST_LONG_VERSION) $(CARGO_NEW)

# Below we detect how we're supposed to bootstrap the stage0 compiler. See
# README.Debian for more details of the cases described below.
#
PRECONFIGURE_CHECK = :
HAVE_BINARY_TARBALL := $(shell ls -1 stage0/*/*$(DEB_HOST_RUST_TYPE)* 2>/dev/null | wc -l)
DOWNLOAD_BOOTSTRAP := false
# allow not using the binary tarball although it exists
#ifneq (,$(filter $(DEB_HOST_ARCH), amd64 arm64 armhf i386 powerpc ppc64el s390x))
#  HAVE_BINARY_TARBALL := 0
#endif
ifeq (0,$(HAVE_BINARY_TARBALL))
    # Case A (Building from source): the extracted source tree does not include
    # a bootstrapping tarball for the current architecture e.g. because the
    # distro already has a rustc for this arch, or the uploader expects that
    # this requirement be fulfilled in some other way.
    #
    # Case A-1: the builder did not select the "pkg.rustc.dlstage0" build profile.
    # In this case, we use the distro's rustc - either the previous or current version.
    ifeq (,$(findstring pkg.rustc.dlstage0,$(DEB_BUILD_PROFILES)))
        # Make it easier to test against a custom rustc
        ifneq (,$(RUST_DESTDIR))
        RUST_LIBRARY_PATH := $(RUST_DESTDIR)/usr/lib/$(DEB_HOST_MULTIARCH):$(RUST_DESTDIR)/usr/lib
        LD_LIBRARY_PATH := $(if $(LD_LIBRARY_PATH),$(LD_LIBRARY_PATH):$(RUST_LIBRARY_PATH),$(RUST_LIBRARY_PATH))
        export LD_LIBRARY_PATH
        endif
    #
    # Case A-2: the builder selected the "dlstage0" build profile.
    # In this case, the rust build scripts will download a stage0 into stage0/ and use that.
    # We don't need to do anything specific in this build file, so this case is empty.
    else
        DOWNLOAD_BOOTSTRAP := true
    endif
else
    # Case B (Bootstrapping a new distro): the extracted source tree does
    # include a bootstrapping tarball for the current architecture; see the
    # `source_orig-stage0` target below on how to build this.
    #
    # In this case, we'll bootstrap from the stage0 given in that tarball.
    # To ensure the uploader of the .dsc didn't make a mistake, we first check
    # that rustc isn't a Build-Depends for the current architecture.
    ifneq (,$(shell $(SED_RUSTC_BUILDDEP)))
    ifeq (,$(shell $(SED_RUSTC_BUILDDEP) | grep '!$(DEB_HOST_ARCH)'))
        PRECONFIGURE_CHECK = $(error found matches for stage0/*/*$(DEB_HOST_RUST_TYPE)*, \
          but rustc might be a Build-Depends for $(DEB_HOST_ARCH))
    endif
    endif
endif

BUILD_DOCS := true
ifneq (,$(findstring nodoc,$(DEB_BUILD_PROFILES)))
  BUILD_DOCS := false
endif
ifneq (,$(findstring nodoc,$(DEB_BUILD_OPTIONS)))
  BUILD_DOCS := false
endif

BUILD_WASM := true
WASM_TARGETS := "wasm32-unknown-unknown,wasm32-wasip1,wasm32-wasip2"
ifneq (,$(findstring nowasm,$(DEB_BUILD_PROFILES)))
  BUILD_WASM := false
endif

WINDOWS_SUPPORT := amd64 i386
BUILD_WINDOWS := false
ifneq (,$(findstring pkg.rustc.windows,$(DEB_BUILD_PROFILES)))
  BUILD_WINDOWS := true
endif
ifeq (,$(filter $(DEB_HOST_ARCH), $(WINDOWS_SUPPORT)))
  BUILD_WINDOWS := false
else
  ifeq (,$(filter $(DEB_BUILD_ARCH), $(WINDOWS_SUPPORT)))
    ifeq (true,$(BUILD_WINDOWS))
      $(error cannot cross-compile from $(DEB_BUILD_ARCH) to $(DEB_HOST_ARCH) with "pkg.rustc.windows" in DEB_BUILD_PROFILES)
    endif
  endif
  ifeq (i386,$(DEB_HOST_ARCH))
    WINDOWS_ARCH := i686
  else
    WINDOWS_ARCH := x86_64
  endif
endif
# for dh_install substitution variable
export WINDOWS_ARCH

MAKE_OPTIMISATIONS := true
ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
  MAKE_OPTIMISATIONS := false
endif

VERBOSITY_SUB := $(words $(filter terse,$(DEB_BUILD_OPTIONS)))
VERBOSITY_ADD := $(words $(filter verbose,$(DEB_BUILD_OPTIONS)))
VERBOSITY := $(shell expr 2 + $(VERBOSITY_ADD) - $(VERBOSITY_SUB))

ifeq ($(shell test $(VERBOSITY) -ge 3; echo $$?),0)
  export DH_VERBOSE=1
endif

ifeq ($(shell test $(VERBOSITY) -le 0; echo $$?),0)
  export DH_QUIET=1
.SILENT:
endif

# Build products or non-source files in src/, that shouldn't go in rust-src
SRC_CLEAN = src/bootstrap/bootstrap.pyc \
	src/bootstrap/__pycache__ \
	src/etc/__pycache__/

# Try to work around #933045
ifneq (,$(filter $(DEB_BUILD_ARCH), mips mipsel))
  SYSTEM_WORKAROUNDS += export MALLOC_ARENA_MAX=1;
endif

%:
	$(SYSTEM_WORKAROUNDS) dh $@ --parallel --with bash-completion

.PHONY: .dbg-windows
.dbg-windows:

## rustc 1.89.0+dfsg1

=== debian/changelog ===
rustc (1.89.0+dfsg1-1~bpo13+2) trixie-backports; urgency=medium

  * source-only upload

 -- Fabian Grünbichler <debian@fabian.gruenbichler.email>  Sun, 26 Oct 2025 17:37:38 +0100

rustc (1.89.0+dfsg1-1~bpo13+1) trixie-backports; urgency=medium

  * Rebuild for trixie-backports.

 -- Fabian Grünbichler <debian@fabian.gruenbichler.email>  Thu, 23 Oct 2025 21:15:10 +0200

rustc (1.89.0+dfsg1-1) unstable; urgency=medium

  * cherry-pick f32/f64::{min,max}imum fallback
  * loongarch: fix C function ABI wrt floats
  * d/rules: count failed test invocations as test failures (again)
  * x32: set panic strategy to abort
  * x32: skip test suite analysis

 -- Fabian Grünbichler <debian@fabian.gruenbichler.email>  Mon, 13 Oct 2025 15:19:45 +0200

rustc (1.89.0+dfsg1-1~exp1) experimental; urgency=medium

  * New upstream release
  * update config.toml.in

 -- Fabian Grünbichler <debian@fabian.gruenbichler.email>  Fri, 10 Oct 2025 11:57:40 +0200

rustc (1.88.0+dfsg1-2~bpo13+1) trixie-backports; urgency=medium

  * Rebuild for trixie-backports.

 -- Fabian Grünbichler <debian@fabian.gruenbichler.email>  Thu, 09 Oct 2025 12:47:04 +0200

rustc (1.87.0+dfsg1-1~bpo13+2) trixie-backports; urgency=medium

  * no-change source-only upload

 -- Fabian Grünbichler <debian@fabian.gruenbichler.email>  Mon, 29 Sep 2025 08:54:07 +0200

rustc (1.87.0+dfsg1-1~bpo13+1) trixie-backports; urgency=medium

  * Rebuild for trixie-backports.

 -- Fabian Grünbichler <debian@fabian.gruenbichler.email>  Sat, 27 Sep 2025 22:10:20 +0200

rustc (1.86.0+dfsg1-1~bpo13+2) trixie-backports; urgency=medium

  * no-change source-only upload

 -- Fabian Grünbichler <debian@fabian.gruenbichler.email>  Fri, 05 Sep 2025 09:20:38 +0200

rustc (1.86.0+dfsg1-1~bpo13+1) trixie-backports; urgency=medium

  * Rebuild for trixie-backports.

 -- Fabian Grünbichler <debian@fabian.gruenbichler.email>  Sun, 31 Aug 2025 11:31:17 +0200

=== debian/tests/control ===
#Test-Command: ./debian/rules build
#Depends: @builddeps@
#Restrictions: rw-build-tree, allow-stderr
#
Tests: create-and-build-crate
Restrictions: rw-build-tree, allow-stderr, needs-internet
Depends: cargo, ca-certificates

Tests: create-and-build-wasm-wasip1-crate
Restrictions: rw-build-tree, allow-stderr, needs-internet
Depends: cargo, ca-certificates, libstd-rust-dev-wasm32, rust-llvm

Tests: create-and-build-wasm-wasip2-crate
Restrictions: rw-build-tree, allow-stderr, needs-internet
Depends: cargo, ca-certificates, libstd-rust-dev-wasm32, rust-llvm

## rustc 1.90.0%2Bdfsg1

=== debian/changelog ===
rustc (1.90.0+dfsg1-1~exp1) experimental; urgency=medium

  * New upstream release
  * loongarch: fix std_detect with LLVM 19

 -- Fabian Grünbichler <debian@fabian.gruenbichler.email>  Thu, 16 Oct 2025 11:20:34 +0200

=== debian/control ===
--- 
+++ 
@@ -13,9 +13,9 @@
  debhelper-compat (= 13),
  dpkg-dev (>= 1.17.14),
  python3:native,
- cargo:native (>= 1.87.0+dfsg)      <!pkg.rustc.dlstage0>,
- rustc:native (>= 1.87.0+dfsg) <!pkg.rustc.dlstage0>,
- rustc:native (<= 1.88.0++)    <!pkg.rustc.dlstage0>,
+ cargo:native (>= 1.89.0+dfsg)      <!pkg.rustc.dlstage0>,
+ rustc:native (>= 1.89.0+dfsg) <!pkg.rustc.dlstage0>,
+ rustc:native (<= 1.90.0++)    <!pkg.rustc.dlstage0>,
  llvm-19-dev:native,
  llvm-19-tools:native,
  gcc-mingw-w64-x86-64-posix:native [amd64] <pkg.rustc.windows>,
@@ -52,8 +52,8 @@
  curl <pkg.rustc.dlstage0>,
  ca-certificates <pkg.rustc.dlstage0>,
 Build-Depends-Indep:
- wasi-libc (>= 0.0~git20241209.574b88d~~) <!nowasm>,
- wasi-libc (<= 0.0~git20241209.574b88d++) <!nowasm>,
+ wasi-libc (>= 0.0~git20250726.3f7eb4c~~) <!nowasm>,
+ wasi-libc (<= 0.0~git20250726.3f7eb4c++) <!nowasm>,
  clang-19:native,
  lld-19:native,
 # see #1057780, gdb now Conflicts gdb-minimal
@@ -90,7 +90,7 @@
  generic programming and meta-programming, in both static and dynamic
  styles.
 
-Package: libstd-rust-1.88
+Package: libstd-rust-1.90
 Section: libs
 Architecture: any
 Multi-Arch: same
@@ -118,7 +118,7 @@
 Architecture: any
 Multi-Arch: same
 Depends: ${shlibs:Depends}, ${misc:Depends},
- libstd-rust-1.88 (= ${binary:Version}),
+ libstd-rust-1.90 (= ${binary:Version}),
 Conflicts: rustup
 Description: Rust standard libraries - development files
  Rust is a curly-brace, block-structured expression language.  It

## rustc 1.90.0+dfsg1

=== src/tools/rustc-perf/collector/compile-benchmarks/cargo/url-1.5.1/Makefile ===
test:
	cargo test --features "query_encoding serde rustc-serialize heapsize"
	(cd idna && cargo test)
	(cd url_serde && cargo test)

.PHONY: test

=== debian/changelog ===
rustc (1.90.0+dfsg1-1) unstable; urgency=medium

  * rust-src: add lintian override for jquery copy in benchmark input
  * d/control: let rust-analyzer recommends rust-src (Closes: #1117559)
  * fix loongarch64 build

 -- Fabian Grünbichler <debian@fabian.gruenbichler.email>  Sat, 25 Oct 2025 10:07:56 +0200

## rustc 1.91.1+dfsg1

=== debian/changelog ===
rustc (1.91.1+dfsg1-1) unstable; urgency=medium

  * Upload to unstable

 -- Fabian Grünbichler <debian@fabian.gruenbichler.email>  Fri, 26 Dec 2025 20:54:51 +0100

rustc (1.91.1+dfsg1-1~exp3) experimental; urgency=medium

  * build: skip compiler-rt on x32
  * hurd: enable flock support
  * build: bypass bootstrap lock on hurd
  * rules: fix dh_auto_clean if no extra vendor tarball exists

 -- Fabian Grünbichler <debian@fabian.gruenbichler.email>  Tue, 16 Dec 2025 13:00:29 +0100

rustc (1.91.1+dfsg1-1~exp2) experimental; urgency=medium

  * config: fix optimized-compiler-rt on sparc64/hurd

 -- Fabian Grünbichler <debian@fabian.gruenbichler.email>  Mon, 15 Dec 2025 15:21:33 +0100

rustc (1.91.1+dfsg1-1~exp1) experimental; urgency=medium

  * New upstream release
  * upgrade to LLVM 21
  * regenerate wit-bindgen object files
  * config: set LLVM compiler-rt as optimized-compiler-builtins
  * build: add bpfel/bpfeb stdlib package

 -- Fabian Grünbichler <debian@fabian.gruenbichler.email>  Fri, 12 Dec 2025 15:37:41 +0100

=== debian/control ===
--- 
+++ 
@@ -13,16 +13,16 @@
  debhelper-compat (= 13),
  dpkg-dev (>= 1.17.14),
  python3:native,
- cargo:native (>= 1.89.0+dfsg)      <!pkg.rustc.dlstage0>,
- rustc:native (>= 1.89.0+dfsg) <!pkg.rustc.dlstage0>,
- rustc:native (<= 1.90.0++)    <!pkg.rustc.dlstage0>,
- llvm-19-dev:native,
- llvm-19-tools:native,
+ cargo:native (>= 1.90.0+dfsg)      <!pkg.rustc.dlstage0>,
+ rustc:native (>= 1.90.0+dfsg) <!pkg.rustc.dlstage0>,
+ rustc:native (<= 1.91.1++)    <!pkg.rustc.dlstage0>,
+ llvm-21-dev:native,
+ llvm-21-tools:native,
  gcc-mingw-w64-x86-64-posix:native [amd64] <pkg.rustc.windows>,
  gcc-mingw-w64-i686-posix:native [i386] <pkg.rustc.windows>,
- libllvm19 (>= 1:19.0.0),
- libclang-rt-19-dev:native,
- libclang-rt-19-dev,
+ libllvm21 (>= 1:19.0.0),
+ libclang-rt-21-dev:native,
+ libclang-rt-21-dev,
  cmake (>= 3.0),
 # needed by some vendor crates
  pkgconf:native,
@@ -52,10 +52,10 @@
  curl <pkg.rustc.dlstage0>,
  ca-certificates <pkg.rustc.dlstage0>,
 Build-Depends-Indep:
- wasi-libc (>= 0.0~git20250726.3f7eb4c~~) <!nowasm>,
+ wasi-libc (>= 0.0~git20250726.3f7eb4c-4~) <!nowasm>,
  wasi-libc (<= 0.0~git20250726.3f7eb4c++) <!nowasm>,
- clang-19:native,
- lld-19:native,
+ clang-21:native,
+ lld-21:native,
 # see #1057780, gdb now Conflicts gdb-minimal
 #Build-Conflicts: gdb-minimal <!nocheck>
 Standards-Version: 4.7.0
@@ -90,7 +90,7 @@
  generic programming and meta-programming, in both static and dynamic
  styles.
 
-Package: libstd-rust-1.90
+Package: libstd-rust-1.91
 Section: libs
 Architecture: any
 Multi-Arch: same
@@ -118,7 +118,7 @@
 Architecture: any
 Multi-Arch: same
 Depends: ${shlibs:Depends}, ${misc:Depends},
- libstd-rust-1.90 (= ${binary:Version}),
+ libstd-rust-1.91 (= ${binary:Version}),
 Conflicts: rustup
 Description: Rust standard libraries - development files
  Rust is a curly-brace, block-structured expression language.  It
@@ -171,7 +171,7 @@
 # Embeds wasi-libc so doesn't need to depend on it
 # None of its licenses require source redistrib, so no need for Built-Using
 Recommends:
- lld-19, clang-19,
+ lld-21, clang-21,
 Suggests:
 # nodejs contains wasi-node for running the program
  nodejs (>= 12.16),
@@ -193,6 +193,31 @@
  needed to cross-compile Rust programs to the wasm32-unknown-unknown and
  wasm32-wasip1/wasm32-wasip2 targets.
 
+Package: libstd-rust-dev-bpf
+Section: libdevel
+Architecture: all
+Multi-Arch: foreign
+Depends: ${shlibs:Depends}, ${misc:Depends}
+Recommends:
+ lld-21, clang-21,
+Build-Profiles: <!pkg.rustc.nobpf>
+Description: Rust standard libraries - development files
+ Rust is a curly-brace, block-structured expression language.  It
+ visually resembles the C language family, but differs significantly
+ in syntactic and semantic details.  Its design is oriented toward
+ concerns of "programming in the large", that is, of creating and
+ maintaining boundaries - both abstract and operational - that
+ preserve large-system integrity, availability and concurrency.
+ .
+ It supports a mixture of imperative procedural, concurrent actor,
+ object-oriented and pure functional styles.  Rust also supports
+ generic programming and meta-programming, in both static and dynamic
+ styles.
+ .
+ This package contains the standard Rust libraries including development files,
+ needed to cross-compile Rust programs to the bpfeb-unknown-none and
+ bpfel-unknown-none targets.
+
 Package: rust-gdb
 Architecture: all
 Depends: gdb, ${misc:Depends}
@@ -217,7 +242,7 @@
 Package: rust-lldb
 Architecture: all
 # When updating, also update rust-lldb.links
-Depends: lldb-19, ${misc:Depends}, python3-lldb-19
+Depends: lldb-21, ${misc:Depends}, python3-lldb-21
 Replaces: rustc (<< 1.1.0+dfsg1-1)
 Description: Rust debugger (lldb)
  Rust is a curly-brace, block-structured expression language.  It
@@ -247,9 +272,9 @@
  rustc-mozilla (<< 1.71.1+dfsg1-1~exp1),
 Depends: ${shlibs:Depends}, ${misc:Depends},
 # lld and clang are needed for wasm compilation
- lld-19, clang-19,
+ lld-21, clang-21,
 # llvm is needed for llvm-dwp for split-debuginfo=packed
- llvm-19
+ llvm-21
 Description: Rust LLVM integration
  Rust is a curly-brace, block-structured expression language.  It
  visually resembles the C language family, but differs significantly
@@ -276,26 +301,3 @@
 Recommends: cargo-doc
 Description: Rust systems programming language - Documentation
  Rust is a curly-brace, block-structured expression language.  It
- visually resembles the C language family, but differs significantly
- in syntactic and semantic details.  Its design is oriented toward
- concerns of "programming in the large", that is, of creating and
- maintaining boundaries - both abstract and operational - that
- preserve large-system integrity, availability and concurrency.
- .
- It supports a mixture of imperative procedural, concurrent actor,
- object-oriented and pure functional styles.  Rust also supports
- generic programming and meta-programming, in both static and dynamic
- styles.
- .
- This package contains the Rust tutorial, language reference and
- standard library documentation.
-
-Package: rust-src
-Architecture: all
-Depends: ${misc:Depends}
-Conflicts: rustup
-Description: Rust systems programming language - source code
- Rust is a curly-brace, block-structured expression language.  It
- visually resembles the C language family, but differs significantly
- in syntactic and semantic details.  Its design is oriented toward
- concerns of "programming in the large", that is, of creating and

=== debian/rules ===
--- 
+++ 
@@ -34,8 +34,8 @@
 DEB_DESTDIR := $(CURDIR)/debian/tmp
 
 # Use system LLVM (comment out to use vendored LLVM)
-LLVM_VERSION = 19
-OLD_LLVM_VERSION = 18
+LLVM_VERSION = 21
+OLD_LLVM_VERSION = 19
 # Cargo-specific flags
 export LIBSSH2_SYS_USE_PKG_CONFIG=1
 # Make it easier to test against a custom LLVM
@@ -54,15 +54,18 @@
 CLANG_RT_ARCH = armhf
 endif
 
-ifneq (,$(filter $(DEB_TARGET_ARCH),sparc64 mips64el hurd-i386 hurd-amd64))
+ifneq (,$(filter $(DEB_TARGET_ARCH),sparc64 mips64el hurd-i386 hurd-amd64 x32))
 # sparc64: see https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=1061125
 # mips64el: has profiler, but buggy atm (32-bit overflow in some counter?)
+# x32: has profiler, but no builtins support upstream, so disabled for now
 CLANG_RT_ARCH =
 PROFILER = "false"
 PROFILER_PATH = ""
+COMPILER_RT_PATH = "false"
 else
 PROFILER = "true"
 PROFILER_PATH = profiler = \"/usr/lib/llvm-$(LLVM_VERSION)/lib/clang/$(LLVM_VERSION)/lib/linux/libclang_rt.profile-$(CLANG_RT_ARCH).a\"
+COMPILER_RT_PATH = \"/usr/lib/llvm-$(LLVM_VERSION)/lib/clang/$(LLVM_VERSION)/lib/linux/libclang_rt.builtins-$(CLANG_RT_ARCH).a\"
 endif
 
 ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
@@ -73,6 +76,12 @@
 # force reproducibility
 RUSTBUILD_DOCS = $(RUSTBUILD_COMMON) -j1
 RUSTBUILD_FLAGS = --stage 2 --config debian/config.toml --on-fail env
+
+# 1.90 had no locking support yet, but 1.91.1 requires it, drop this with 1.92 again
+ifneq (,$(filter $(DEB_TARGET_ARCH),hurd-i386 hurd-amd64))
+RUSTBUILD_FLAGS = --stage 2 --config debian/config.toml --on-fail env --bypass-bootstrap-lock
+endif
+
 # rust-tidy depends on lots of modules that we strip out of the build.
 # it also tries to access the network for some reason. so just disable it.
 RUSTBUILD_TEST = $(RUSTBUILD) test --no-fail-fast --exclude src/tools/tidy
@@ -154,6 +163,12 @@
   BUILD_WASM := false
 endif
 
+BUILD_BPF := true
+BPF_TARGETS := "bpfeb-unknown-none,bpfel-unknown-none"
+ifneq (,$(findstring pkg.rustc.nobpf,$(DEB_BUILD_PROFILES)))
+  BUILD_BPF := false
+endif
+
 WINDOWS_SUPPORT := amd64 i386
 BUILD_WINDOWS := false
 ifneq (,$(findstring pkg.rustc.windows,$(DEB_BUILD_PROFILES)))
@@ -183,29 +198,3 @@
 
 VERBOSITY_SUB := $(words $(filter terse,$(DEB_BUILD_OPTIONS)))
 VERBOSITY_ADD := $(words $(filter verbose,$(DEB_BUILD_OPTIONS)))
-VERBOSITY := $(shell expr 2 + $(VERBOSITY_ADD) - $(VERBOSITY_SUB))
-
-ifeq ($(shell test $(VERBOSITY) -ge 3; echo $$?),0)
-  export DH_VERBOSE=1
-endif
-
-ifeq ($(shell test $(VERBOSITY) -le 0; echo $$?),0)
-  export DH_QUIET=1
-.SILENT:
-endif
-
-# Build products or non-source files in src/, that shouldn't go in rust-src
-SRC_CLEAN = src/bootstrap/bootstrap.pyc \
-	src/bootstrap/__pycache__ \
-	src/etc/__pycache__/
-
-# Try to work around #933045
-ifneq (,$(filter $(DEB_BUILD_ARCH), mips mipsel))
-  SYSTEM_WORKAROUNDS += export MALLOC_ARENA_MAX=1;
-endif
-
-%:
-	$(SYSTEM_WORKAROUNDS) dh $@ --parallel --with bash-completion
-
-.PHONY: .dbg-windows
-.dbg-windows:

## rustc 1.92.0+dfsg1

=== debian/changelog ===
rustc (1.92.0+dfsg1-1~exp1) experimental; urgency=medium

  * New upstream release
  * mark rust-src as M-A:foreign (Closes: #1101952)
  * debian/rules: remove unused code (Closes: #1122648)
  * fix cross-build (pending libonig-dev fix)
  * cargo wrapper: also handle cargo-c commands

 -- Fabian Grünbichler <debian@fabian.gruenbichler.email>  Fri, 23 Jan 2026 17:54:07 +0100

=== debian/control ===
--- 
+++ 
@@ -13,15 +13,14 @@
  debhelper-compat (= 13),
  dpkg-dev (>= 1.17.14),
  python3:native,
- cargo:native (>= 1.90.0+dfsg)      <!pkg.rustc.dlstage0>,
- rustc:native (>= 1.90.0+dfsg) <!pkg.rustc.dlstage0>,
- rustc:native (<= 1.91.1++)    <!pkg.rustc.dlstage0>,
+ cargo:native (>= 1.91.0+dfsg)      <!pkg.rustc.dlstage0>,
+ rustc:native (>= 1.91.0+dfsg) <!pkg.rustc.dlstage0>,
+ rustc:native (<= 1.92.0++)    <!pkg.rustc.dlstage0>,
  llvm-21-dev:native,
  llvm-21-tools:native,
  gcc-mingw-w64-x86-64-posix:native [amd64] <pkg.rustc.windows>,
  gcc-mingw-w64-i686-posix:native [i386] <pkg.rustc.windows>,
  libllvm21 (>= 1:19.0.0),
- libclang-rt-21-dev:native,
  libclang-rt-21-dev,
  cmake (>= 3.0),
 # needed by some vendor crates
@@ -40,10 +39,11 @@
  libgit2-dev (>= 1.9),
  libgit2-dev (<< 1.10~~),
  libhttp-parser-dev,
+# used by rustbook
+ libonig-dev:native,
  libonig-dev,
 # test dependencies:
  binutils (>= 2.26) <!nocheck> | binutils-2.26 <!nocheck>,
-# temporarily disabled cause of #1066794 / t64 transition
  git <!nocheck>,
  procps <!nocheck>,
 # below are optional tools even for 'make check'
@@ -90,7 +90,7 @@
  generic programming and meta-programming, in both static and dynamic
  styles.
 
-Package: libstd-rust-1.91
+Package: libstd-rust-1.92
 Section: libs
 Architecture: any
 Multi-Arch: same
@@ -118,7 +118,7 @@
 Architecture: any
 Multi-Arch: same
 Depends: ${shlibs:Depends}, ${misc:Depends},
- libstd-rust-1.91 (= ${binary:Version}),
+ libstd-rust-1.92 (= ${binary:Version}),
 Conflicts: rustup
 Description: Rust standard libraries - development files
  Rust is a curly-brace, block-structured expression language.  It

=== debian/rules ===
--- 
+++ 
@@ -10,8 +10,6 @@
 LIBSTD_PKG := libstd-rust-$(RUST_VERSION)
 # Sed expression that matches the "rustc" we have in our Build-Depends field
 SED_RUSTC_BUILDDEP := sed -ne "/^Build-Depends:/,/^[^[:space:]\#]/{/^ *rustc:native .*,/p}" debian/control
-# Version of /usr/bin/rustc
-LOCAL_RUST_VERSION := $(shell rustc --version --verbose | sed -ne 's/^release: //p')
 
 include /usr/share/dpkg/buildflags.mk
 # needed for cross-compilation to avoid passing host CFLAGS to the BUILD
@@ -198,3 +196,6 @@
 
 VERBOSITY_SUB := $(words $(filter terse,$(DEB_BUILD_OPTIONS)))
 VERBOSITY_ADD := $(words $(filter verbose,$(DEB_BUILD_OPTIONS)))
+VERBOSITY := $(shell expr 2 + $(VERBOSITY_ADD) - $(VERBOSITY_SUB))
+
+ifeq ($(shell test $(VERBOSITY) -ge 3; echo $$?),0)
